bibliotheek

Alles wat niet past in bovenstaande onderwerpen
Berichten: 8
Geregistreerd: 27 Nov 2016, 15:22

bibliotheek

Berichtdoor hansc » 14 Nov 2017, 23:00

Bij het gebruik van de bibliotheek beheren kun je het desgewenst item opzoeken.
Bij het item dat je zoekt krijg je more info, hier kun je de versie aanklikken.
Hoe weet je nu welke versie je moet hebben. Werk met Arduino 1.8.5.

M.vr.gr.Hans

Advertisement

Gebruikers-avatar
Berichten: 1374
Geregistreerd: 06 Aug 2016, 01:03

Re: bibliotheek

Berichtdoor Koepel » 14 Nov 2017, 23:38

Altijd de nieuwste. Er worden bugs uitgehaald en dan wordt de versie verhoogd.

Soms wordt per ongeluk een nieuwe bug toegevoegd als er een oude bug wordt uitgehaald. Dus het is mogelijk dat de nieuwste versie problemen geeft of niet meer compatible met andere code is. Van mij hadden ze de mogelijkheid om oude versies te kiezen weg mogen laten.

Berichten: 2215
Geregistreerd: 16 Okt 2013, 14:31
Woonplaats: s hertogenbosch

Re: bibliotheek

Berichtdoor shooter » 14 Nov 2017, 23:49

Versie beheer blijft moeilijk, ze kunnen bijv een type veranderen van unsigned naar signed, en als je dan bijvoorbeeld op het hoogste bit test dan kan het fout gaan.Echt een kwestie van proberen de wijzigingen lezen en eventueel een versie gebruiken waarvan je weet dat het werkt.
paul deelen
shooter@home.nl

Berichten: 8
Geregistreerd: 27 Nov 2016, 15:22

Re: bibliotheek

Berichtdoor hansc » 15 Nov 2017, 10:46

Heren, bedankt voor de uitleg het is al een stuk duidelijker.
Probeer eerst alles zelf te doen, lukt het niet dan kom ik met een vraag.
Het is voor mij allemaal nieuw dat programmeren.
M.vr.gr.Hans

Terug naar Theekransje

Wie is er online?

Gebruikers in dit forum: Geen geregistreerde gebruikers en 1 gast